by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Tony Bargnesi
    @abargnesi
    Release of 0.3.2 tomorrow. A lot of bug fixes included.
    stay tuned
    Tony Bargnesi
    @abargnesi
    Tony Bargnesi
    @abargnesi
    If anyone is interested in contributing to bel.rb there is a small issue perfect for first-timers. #104
    Tony Bargnesi
    @abargnesi
    Version 0.5.0 released for bel.rb. https://github.com/OpenBEL/bel.rb/releases/tag/0.5.0
    Tony Bargnesi
    @abargnesi
    @/all bel.rb 0.6.0 is released (https://github.com/OpenBEL/bel.rb/releases/tag/0.6.0).
    Charles Tapley Hoyt
    @cthoyt

    Hi Tony, we're having problems running bel.rb. After installing with gem install bel, this error is coming up after running bel bel2rdf --bel ~/bel/small_corpus.bel > ~/bel/small_corpus.rdf:

    /usr/local/Cellar/ruby/2.3.1_2/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- uuid (LoadError)
        from /usr/local/Cellar/ruby/2.3.1_2/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/lib/bel/translator/plugins/rdf/uuid.rb:12:in `<module:BELRDF>'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/lib/bel/translator/plugins/rdf/uuid.rb:1:in `<top (required)>'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/lib/bel/translator/plugins/rdf/translator.rb:5:in `require_relative'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/lib/bel/translator/plugins/rdf/translator.rb:5:in `<top (required)>'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/lib/bel/translator/plugins/ntriples.rb:14:in `require_relative'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/lib/bel/translator/plugins/ntriples.rb:14:in `create_translator'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/lib/bel/translate.rb:73:in `translator'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/bin/bel2rdf.rb:84:in `validate_translator!'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/bin/bel2rdf.rb:106:in `<top (required)>'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/bin/bel:103:in `require_relative'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/bin/bel:103:in `run'
        from /usr/local/lib/ruby/gems/2.3.0/gems/bel-1.0.1/bin/bel:583:in `<top (required)>'
        from /usr/local/bin/bel:23:in `load'
        from /usr/local/bin/bel:23:in `<main>'

    We also tried installing for development mode, and didn't have any more luck

    Tony Bargnesi
    @abargnesi
    @cthoyt uuid is a dependency for RDF functionality, but it doesn't seem to be installed (bug, should be installed on gem install bel). you can work around this with gem install uuid.
    Charles Tapley Hoyt
    @cthoyt

    That was a silly mistake. I'm using an rvm now to make sure I have a clean environment. I've done rvm use 2.3.0 --install then gem install rdf addressable uuid rdf-turtle and finally gem install bel. When running my code I get these errors:

    bel summarize -b small_corpus.bel 
    /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/script.rb:65698:in `block in each': undefined method `comment=' for nil:NilClass (NoMethodError)
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/nonblocking_io_wrapper.rb:25:in `each'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/script.rb:63742:in `each'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/script.rb:44035:in `parse'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/bin/bel_summarize.rb:46:in `block in <top (required)>'
        from /Users/cthoyt/.rvm/rubies/ruby-2.3.0/lib/ruby/2.3.0/csv.rb:1057:in `instance'
        from /Users/cthoyt/.rvm/rubies/ruby-2.3.0/lib/ruby/2.3.0/csv.rb:2329:in `CSV'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/bin/bel_summarize.rb:29:in `<top (required)>'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/bin/bel:226:in `require_relative'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/bin/bel:226:in `run'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/bin/bel:583:in `<top (required)>'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/bin/bel:23:in `load'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/bin/bel:23:in `<main>'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/bin/ruby_executable_hooks:15:in `eval'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/bin/ruby_executable_hooks:15:in `<main>'

    and

    bel bel2rdf -b small_corpus.bel > ~/Desktop/test.rdf
    /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/rdf-2.1.0/lib/rdf.rb:66:in `const_missing': uninitialized constant RDF::SKOS (NameError)
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/translator/plugins/rdf/bel_schema.rb:197:in `<module:BELRDF>'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/translator/plugins/rdf/bel_schema.rb:2:in `<top (required)>'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/translator/plugins/rdf/translator.rb:6:in `require_relative'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/translator/plugins/rdf/translator.rb:6:in `<top (required)>'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/translator/plugins/ntriples.rb:14:in `require_relative'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/translator/plugins/ntriples.rb:14:in `create_translator'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/lib/bel/translate.rb:73:in `translator'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/bin/bel2rdf.rb:84:in `validate_translator!'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/bin/bel2rdf.rb:106:in `<top (required)>'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/bin/bel:103:in `require_relative'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/bin/bel:103:in `run'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/gems/bel-0.7.0/bin/bel:583:in `<top (required)>'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/bin/bel:23:in `load'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/bin/bel:23:in `<main>'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/bin/ruby_executable_hooks:15:in `eval'
        from /Users/cthoyt/.rvm/gems/ruby-2.3.0/bin/ruby_executable_hooks:15:in `<main>'

    Any tips?